# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::FontManager Class Reference

The FontManager class keeps a map associating a font path, size and smoothing flag to a Font object. More...

`#include <FontManager.hpp>`

Inheritance diagram for vl::FontManager:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
Font * | acquireFont (const String &font, int size, bool smooth=false)
const std::vector< ref< Font > > & | fonts () const
void | releaseFont (Font *font)
void | releaseAllFonts ()

## Protected Attributes

std::vector< ref< Font > > | mFonts

## Detailed Description

The FontManager class keeps a map associating a font path, size and smoothing flag to a Font object.

See also:
  - Font
  - Text
  - Actor
  - VectorGraphics

## Member Function Documentation

virtual const char* vl::FontManager::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

Font * FontManager::acquireFont | ( | const String & | font,
|  | int | size,
|  | bool | smooth = `false` |
| ) |  |  |

const std::vector< ref<Font> >& vl::FontManager::fonts | ( |  | ) | const`[inline]`

void FontManager::releaseFont | ( | Font * | font | ) |

void FontManager::releaseAllFonts | ( |  | ) |

## Member Data Documentation

std::vector< ref<Font> > vl::FontManager::mFonts`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/FontManager.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/FontManager.cpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:35 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.